commit:     839d9e39cc212206d48102f74df898a17501d73b
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 23 16:49:51 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Aug 23 16:52:22 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=839d9e39

sys-fs/squashfs-tools-ng: Version bump to 0.6

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 sys-fs/squashfs-tools-ng/Manifest                  |  1 +
 .../squashfs-tools-ng/squashfs-tools-ng-0.6.ebuild | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/sys-fs/squashfs-tools-ng/Manifest 
b/sys-fs/squashfs-tools-ng/Manifest
index 39d81d38b98..8cada401b35 100644
--- a/sys-fs/squashfs-tools-ng/Manifest
+++ b/sys-fs/squashfs-tools-ng/Manifest
@@ -1 +1,2 @@
 DIST squashfs-tools-ng-0.5.tar.xz 158048 BLAKE2B 
e8d53336a0955875eaf5a301329f620f6efd27d27d985c760a7eaaded94a60e1a7384f076311101b4a6de36b1330d7b42866079b074b6af1829d4162c1f62b38
 SHA512 
b39cd6e9627e71eb0fcc59a587612fe062c3f437e11342e6ec1a1fee1e6a51b38dcc881bf9a1d69578ad4686f939ece8ec02ed79a6cc6c69afe06bc6753390bf
+DIST squashfs-tools-ng-0.6.tar.xz 199708 BLAKE2B 
e325b282ae1c4355e780abaac5f760800b94dde12e13e772663bb1d6ffea1c7c155d48ac657253be34cd50e442d75d3e7bcfdbc066226856e6e04fb18c121570
 SHA512 
2a84b8eceeca2899870be37055210e20ecc97073ebe57cff1b945f221c2b5f1d116a4909be6a906991148363ad7f888cf44dfda198d96d15a37487a83075fb57

diff --git a/sys-fs/squashfs-tools-ng/squashfs-tools-ng-0.6.ebuild 
b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-0.6.ebuild
new file mode 100644
index 00000000000..fc732972175
--- /dev/null
+++ b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-0.6.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A new set of tools for working with SquashFS images"
+HOMEPAGE="https://github.com/AgentD/squashfs-tools-ng";
+if [[ ${PV} = 9999* ]]; then
+       inherit autotools git-r3
+       EGIT_REPO_URI="https://github.com/AgentD/${PN}.git";
+else
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+       SRC_URI="https://infraroot.at/pub/squashfs/${P}.tar.xz";
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="lz4 lzo selinux +xz +zlib zstd"
+REQUIRED_USE="|| ( lz4 lzo xz zlib zstd )"
+
+DEPEND="
+       lz4?     ( app-arch/lz4:= )
+       lzo?     ( dev-libs/lzo:= )
+       xz?      ( app-arch/xz-utils:= )
+       selinux? ( sys-libs/libselinux:= )
+       zlib?    ( sys-libs/zlib:= )
+       zstd?    ( app-arch/zstd:= )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+       [[ ${PV} == "9999" ]] && eautoreconf
+}
+
+src_configure() {
+       local myconf=(
+               $(use_with lz4)
+               $(use_with lzo)
+               $(use_with selinux)
+               $(use_with xz)
+               $(use_with zlib gzip)
+               $(use_with zstd)
+       )
+       econf "${myconf[@]}"
+}

Reply via email to